%define upstream_name 	 File-MimeInfo
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Determine file type
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/P/PA/PARDUS/%{upstream_name}/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::BaseDir) >= 0.30.0
BuildRequires: perl(File::DesktopEntry) >= 0.40.0
BuildRequires: perl(Pod::Usage)
BuildArch:  noarch
Requires:   perl(File::BaseDir) >= 0.30.0
%description
This module can be used to determine the mime type of a file; it's a 
replacement for File::MMagic trying to implement the freedesktop 
specification for using the shared mime-info database. The package
comes with a script called 'mimetype' that can be used as a file(1)
work-alike.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_bindir}/mimeopen
%{_bindir}/mimetype
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.270.0-3.mga6
+ Revision: 1027364
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.270.0-2.mga6
+ Revision: 967271
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 848602
- update to 0.27

* Sun Oct 19 2014 umeabot <umeabot> 0.260.0-4.mga5
+ Revision: 789312
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-3.mga5
+ Revision: 749079
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.260.0-2.mga5
+ Revision: 684742
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.260.0-1.mga5
+ Revision: 624257
- update to 0.26

* Tue Apr 15 2014 jquelin <jquelin> 0.250.0-1.mga5
+ Revision: 614781
- update to 0.25

* Fri Feb 28 2014 jquelin <jquelin> 0.220.0-1.mga5
+ Revision: 597857
- update to 0.22

* Fri Feb 07 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 585553
- update to 0.21

* Fri Nov 15 2013 tv <tv> 0.200.0-3.mga4
+ Revision: 551405
- add requires on perl(File::BaseDir) (runtime error)
  (why isn't there any automatic perl deps???)
- drop doble perl(File::BaseDir) BR

* Mon Oct 21 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 540671
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 494200
- update to 0.20

* Sun Oct 06 2013 sander85 <sander85> 0.190.0-1.mga4
+ Revision: 492174
- update to 0.19

* Sun Sep 08 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 476026
- update to 0.18

* Fri Jun 07 2013 jquelin <jquelin> 0.170.0-1.mga4
+ Revision: 439288
- update to 0.17
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 0.160.0-6.mga3
+ Revision: 403820
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-5.mga3
+ Revision: 367270
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.160.0-4.mga3
+ Revision: 315009
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.160.0-3.mga3
+ Revision: 283542
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.160.0-2.mga3
+ Revision: 254209
- fix shebang with new perl 5.16 path

* Thu Jan 05 2012 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 191441
- update to 0.16

* Fri Oct 14 2011 jquelin <jquelin> 0.150.0-6.mga2
+ Revision: 155129
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 0.150.0-5.mga2
+ Revision: 109886
- rebuild script for perl 5.14.1

* Fri Jun 17 2011 jquelin <jquelin> 0.150.0-4.mga2
+ Revision: 108800
- fix bug#1818 - perl-File-MimeInfo doesnt build with perl-5.14.0

* Fri Jan 21 2011 jquelin <jquelin> 0.150.0-3.mga1
+ Revision: 30366
- mageia rebuild
- imported package perl-File-MimeInfo


* Fri Oct 09 2009 Michael Scherer <misc@mandriva.org> 0.150.0-3mdv2010.1
+ Revision: 456256
- rebuild
- rebuild for new perl, to fix #53541

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.0
+ Revision: 405983
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.15-3mdv2009.1
+ Revision: 351749
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.15-2mdv2009.0
+ Revision: 223752
- rebuild

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2008.1
+ Revision: 168829
- update to new version 0.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Michael Scherer <misc@mandriva.org> 0.14-1mdv2008.0
+ Revision: 46595
- 0.14

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.13-2mdv2008.0
+ Revision: 23409
- rebuild


* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.13-1mdk
- 0.13

* Mon Oct 10 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdk
- new version 
- %%mkrel
- fix directory ownership
- spec cleanup

* Fri Apr 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.11-1mdk
- 0.11

* Tue Aug 31 2004 Michael Scherer <misc@mandrake.org> 0.10-2mdk 
- add missing BuildRequires

* Tue Aug 24 2004 Michael Scherer <misc@mandrake.org> 0.10-1mdk 
- First Mandrakelinux package

